/*
 * ValueAsString.hpp
 *
 *  Created on: Apr 18, 2012
 *      Author: ankele
 */

#ifndef VALUEASSTRING_HPP_
#define VALUEASSTRING_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

/** Interface definition for general parameter values (only the string part).
 *
 */
class ValueAsString
{
public:
  virtual ~ValueAsString() {};

  // string functions
  virtual bool isValidAsString(const std::string &_value) const=0;
  virtual const std::string getAsString() const=0;
  virtual void setAsString(const std::string &_value)=0;
};


#endif /* VALUEASSTRING_HPP_ */
