/*
 * Value_string.hpp
 *
 *  Created on: Jan 10, 2013
 *      Author: heber
 */

#ifndef VALUE_STRING_HPP_
#define VALUE_STRING_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Value.hpp"

template <>
bool Value<std::string>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException);

template <>
void Value<std::string>::setAsString(const std::string &_value) throw(ParameterException);

#endif /* VALUE_STRING_HPP_ */
